Authenticate Jwt
curl --request POST \
--url https://{host}/Agent/Account/AuthenticateJwt \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '
{
"token": "<string>"
}
'import requests
url = "https://{host}/Agent/Account/AuthenticateJwt"
payload = { "token": "<string>" }
headers = {
"Referer": "<referer>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Referer: '<referer>', 'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>'})
};
fetch('https://{host}/Agent/Account/AuthenticateJwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/Agent/Account/AuthenticateJwt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Referer: <referer>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/Agent/Account/AuthenticateJwt"
payload := strings.NewReader("{\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Referer", "<referer>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/Agent/Account/AuthenticateJwt")
.header("Referer", "<referer>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/Agent/Account/AuthenticateJwt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Referer"] = '<referer>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"header": "<string>",
"payload": "<string>",
"signature": "<string>",
"algorithm": "<string>",
"claims": {},
"type": "<string>",
"issuer": "<string>",
"subject": "<string>",
"id": "<string>",
"audience": [
"<string>"
],
"expiration": "2023-11-07T05:31:56Z",
"notBefore": "2023-11-07T05:31:56Z",
"issuedAt": "2023-11-07T05:31:56Z"
}Accounts
Authenticate Jwt
Allows a service to authenticate a JWT token issued by the broker.
POST
/
Agent
/
Account
/
AuthenticateJwt
Authenticate Jwt
curl --request POST \
--url https://{host}/Agent/Account/AuthenticateJwt \
--header 'Content-Type: application/json' \
--header 'Referer: <referer>' \
--data '
{
"token": "<string>"
}
'import requests
url = "https://{host}/Agent/Account/AuthenticateJwt"
payload = { "token": "<string>" }
headers = {
"Referer": "<referer>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Referer: '<referer>', 'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>'})
};
fetch('https://{host}/Agent/Account/AuthenticateJwt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/Agent/Account/AuthenticateJwt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Referer: <referer>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/Agent/Account/AuthenticateJwt"
payload := strings.NewReader("{\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Referer", "<referer>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/Agent/Account/AuthenticateJwt")
.header("Referer", "<referer>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/Agent/Account/AuthenticateJwt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Referer"] = '<referer>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"header": "<string>",
"payload": "<string>",
"signature": "<string>",
"algorithm": "<string>",
"claims": {},
"type": "<string>",
"issuer": "<string>",
"subject": "<string>",
"id": "<string>",
"audience": [
"<string>"
],
"expiration": "2023-11-07T05:31:56Z",
"notBefore": "2023-11-07T05:31:56Z",
"issuedAt": "2023-11-07T05:31:56Z"
}Overview
Allows a service to authenticate a JWT token issued by the broker. This resource does not require authenticated access. Any service that receives a JWT token issued by the broker can request the broker to validate the token, and to return parsed information available in the token.Authentication
No bearer token is required. Pass the JWT to validate in the request body.Notes
This endpoint uses the request schema notation described in Pattern matching.Headers
Your application's HTTPS URL, for example https://app.example.com/. Include this header on every Agent API request, including backend calls, login, and account creation. Browser clients must use a referrer policy that sends the application origin. See /neuron-api/api-basics#required-referer-header.
Body
application/json